Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoReflectionMethodAux.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>
              com.nativelibs4java.mono.MonoReflectionMethodAux
                  com.nativelibs4java.mono.MonoReflectionMethodAux.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue, java.lang.Comparable<Structure<MonoReflectionMethodAux,MonoReflectionMethodAux.ByValue,MonoReflectionMethodAux.ByReference>>

Enclosing class:
  MonoReflectionMethodAux

    public static class MonoReflectionMethodAux.ByValue

extends MonoReflectionMethodAux
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoReflectionMethodAux
`MonoReflectionMethodAux.ByReference, MonoReflectionMethodAux.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoReflectionMethodAux
`dll, dllentry, param_cattr, param_default_types, param_defaults, param_marshall, param_names`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoReflectionMethodAux.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoReflectionMethodAux
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoReflectionMethodAux.ByValue

    public MonoReflectionMethodAux.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD